#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 snap-core
version:              1.0.4.1
visibility:           public
id:                   snap-core-1.0.4.1-74mC9ctHWbX2WV5XNK1mrY
key:                  snap-core-1.0.4.1-74mC9ctHWbX2WV5XNK1mrY
license:              BSD-3-Clause
maintainer:           snap@snapframework.com
author:               Snap Framework Authors (see CONTRIBUTORS)
homepage:             http://snapframework.com/
synopsis:             Snap: A Haskell Web Framework (core interfaces and types)
description:
    Snap is a simple and fast web development framework and server written in
    Haskell. For more information or to download the latest version, you can
    visit the Snap project website at <http://snapframework.com/>.

    This library contains the core definitions and types for the Snap framework,
    including:

    1. Primitive types and functions for HTTP (requests, responses, cookies,
    post/query parameters, etc)

    2. A monad for programming web handlers called \"Snap\", which allows:

    * Stateful access to the HTTP request and response objects

    * Monadic failure (i.e. MonadPlus/Alternative instances) for declining
    to handle requests and chaining handlers together

    * Early termination of the computation if you know early what you want
    to return and want to prevent further monadic processing

    /Quick start/: The '\''Snap'\'' monad and HTTP definitions are in "Snap.Core".

category:             Web, Snap, IO-Streams
abi:                  7a3d2a3d5ea0978c3b7df8f5485ddfc8
exposed:              True
exposed-modules:
    Snap.Core Snap.Internal.Core Snap.Internal.Debug
    Snap.Internal.Http.Types Snap.Internal.Parsing Snap.Test
    Snap.Types.Headers Snap.Util.CORS Snap.Util.FileServe
    Snap.Util.FileUploads Snap.Util.GZip Snap.Util.Proxy

hidden-modules:
    Snap.Internal.Instances Snap.Internal.Routing
    Snap.Internal.Test.RequestBuilder Snap.Internal.Test.Assertions
    Snap.Internal.Util.FileServe Snap.Internal.Util.FileUploads

import-dirs:          /usr/lib/ghc-8.10.1/site-local/snap-core-1.0.4.1
library-dirs:         /usr/lib/ghc-8.10.1/site-local/snap-core-1.0.4.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.1/snap-core-1.0.4.1
hs-libraries:         HSsnap-core-1.0.4.1-74mC9ctHWbX2WV5XNK1mrY
depends:
    HUnit-1.6.0.0-EDwJp4fJyuc1oy2OOnky2A
    attoparsec-0.13.2.4-75xefPYAxam1Yt9FZGmunF base-4.14.0.0
    bytestring-0.10.10.0
    case-insensitive-1.2.1.0-4tL4tqWLN4BHWNmCD2HpmE containers-0.6.2.1
    directory-1.3.6.0 filepath-1.4.2.1
    hashable-1.3.0.0-KxLg31LAX1D630cavk7ERb
    io-streams-1.5.1.0-C41yo0iwbh7wriywSWXbP
    lifted-base-0.2.3.12-32Je5waQHZkEwMmV5pIAvq
    monad-control-1.0.2.3-Zolpha2nzyCWjP4MLl5a6 mtl-2.2.2
    network-3.1.1.1-CK9iofx0d8BBZLerEfDW1e
    network-uri-2.6.3.0-8WZMXlDbEYynTu6dGks8o
    old-locale-1.0.0.7-He1fhgasqBf2zFT9zlaLle
    random-1.1-AA3zCuOgsVZCzsZYE3CMpY
    readable-0.3.1-9XGRBmKgpC24XWfI7OqMey
    regex-posix-0.96.0.0-FLfGRWXJuxvLcsUxiVOtne text-1.2.3.2 time-1.9.3
    transformers-0.5.6.2
    transformers-base-0.4.5.2-xMHQBtL7qH3C2eAD9DGp5
    unix-compat-0.5.2-LUrHZKGZjHj4senyv026n5
    unordered-containers-0.2.11.0-Gy9Rkzl4w678AYU9aLwMbs
    vector-0.12.1.2-2820kU4E8Rq2FpOG9Xf2aE

haddock-interfaces:   /usr/share/doc/haskell-snap-core/html/snap-core.haddock
haddock-html:         /usr/share/doc/haskell-snap-core/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

